Bug 870514 - yast-bootloader configures grub2 to listen to serial on openqa
yast-bootloader configures grub2 to listen to serial on openqa
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: YaST2
13.2 Milestone 0
Other Other
: P5 - None : Major (vote)
: ---
Assigned To: Michael Chang
Jiri Srain
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-03-27 06:11 UTC by Stephan Kulow
Modified: 2014-09-03 02:43 UTC (History)
2 users (show)

See Also:
Found By: Development
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stephan Kulow 2014-03-27 06:11:39 UTC
openqa uses console=ttyS0 console=tty to get a copy of the boot log on serial device for logging, but this causes yast to configure grub to listen to serial console.

This is incorrect and I reverted the change in Factory - any console= without ttyS should forbid this feature.
Comment 1 Josef Reidinger 2014-03-27 07:35:21 UTC
michael - you add such support, so reassign to you
Comment 2 Michael Chang 2014-03-27 09:25:00 UTC
Afaik, the last occurrence of console= will be used for opening /dev/console. I know this when using this regular expression ..

==
type = Builtins.regexpsub(append, "^.*console=([[:alpha:]]+)[[:digit:]]+,*[[:digit:]]*[noe]*[[:digit:]]*.*[[:space:]]*.*$", "\\1")

return "" if type != "ttyS" || args.empty?
==

It should match the last occurrence because greedy match (per default). I did test above case and it works for me .. ?

Is my greedy assumption wrong ??
Comment 3 Michael Chang 2014-03-27 09:28:59 UTC
Oh wait .. I did not know console=tty is valid (I tested with console=tty0), should change the match like this.

==
type = Builtins.regexpsub(append,
"^.*console=([[:alpha:]]+)[[:digit:]]*,*[[:digit:]]*[noe]*[[:digit:]]*.*[[:space:]]*.*$",
"\\1")

return "" if type != "ttyS" || args.empty?
==

"use [[:digit:]]* not [[:digit:]]+."
Comment 4 Stephan Kulow 2014-09-02 12:28:02 UTC
was this fixed?